curl --request PATCH \
--url https://api.{environment}.corti.app/v2/interactions/{id}/facts/{factId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Tenant-Name: <tenant-name>' \
--data '
{
"text": "<string>",
"group": "other",
"isDiscarded": true
}
'import { CortiClient, CortiEnvironment } from "@corti/sdk";
const client = new CortiClient({
environment: CortiEnvironment.Eu,
auth: {
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET"
},
tenantName: "YOUR_TENANT_NAME"
});
await client.facts.update("f47ac10b-58cc-4372-a567-0e02b2c3d479", "3c9d8a12-7f44-4b3e-9e6f-9271c2bbfa08");
using Corti;
var client = new CortiClient(
"TENANT_NAME",
CortiClientEnvironment.Eu,
new CortiClientAuth.ClientCredentials("client_id", "client_secret")
);
await client.Facts.UpdateAsync(
"f47ac10b-58cc-4372-a567-0e02b2c3d479",
"3c9d8a12-7f44-4b3e-9e6f-9271c2bbfa08",
new FactsUpdateRequest()
);
import requests
url = "https://api.{environment}.corti.app/v2/interactions/{id}/facts/{factId}"
payload = {
"text": "<string>",
"group": "other",
"isDiscarded": True
}
headers = {
"Tenant-Name": "<tenant-name>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.{environment}.corti.app/v2/interactions/{id}/facts/{factId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'text' => '<string>',
'group' => 'other',
'isDiscarded' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Tenant-Name: <tenant-name>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.{environment}.corti.app/v2/interactions/{id}/facts/{factId}"
payload := strings.NewReader("{\n \"text\": \"<string>\",\n \"group\": \"other\",\n \"isDiscarded\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Tenant-Name", "<tenant-name>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.{environment}.corti.app/v2/interactions/{id}/facts/{factId}")
.header("Tenant-Name", "<tenant-name>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"text\": \"<string>\",\n \"group\": \"other\",\n \"isDiscarded\": true\n}")
.asString();{
"id": "3c9d8a12-7f44-4b3e-9e6f-9271c2bbfa08",
"text": "<string>",
"group": "other",
"groupId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"source": "core",
"isDiscarded": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}Update Fact
Updates an existing fact associated with a specific interaction.
Authorizations
Input your token
Headers
Identifies a distinct entity within Corti's multi-tenant system. Ensures correct routing and authentication of the request.
"base"
Path Parameters
The unique identifier of the interaction. Must be a valid UUID.
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
The unique identifier of the fact to update. Must be a valid UUID.
"3c9d8a12-7f44-4b3e-9e6f-9271c2bbfa08"
Body
The updated text of the fact.
The updated group key for the fact.
"other"
To track the updated source of the fact. Set to 'user' to indicate a change by an end-user.
core, system, user Set this to true if discarded by an end-user, then filter out from the document generation request.
Response
Returns the updated fact, including updated fields.
The unique identifier of the fact.
"3c9d8a12-7f44-4b3e-9e6f-9271c2bbfa08"
The updated text content of the fact.
The updated group key to which the fact belongs.
"other"
The unique identifier of the associated group.
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
The updated origin of the fact.
core, system, user Indicates whether the fact is marked as discarded.
The original timestamp when the fact was created.
The timestamp when the fact was last updated.
Was this page helpful?